-- config tab -- 

local Tabs = require 'comfy_panel.main'

local signals = {"signal-white", "signal-grey", "signal-black", "signal-green", "signal-red", "signal-pink", "signal-blue", "signal-cyan", "signal-yellow",}

local next_signal = {}
for key, signal in pairs(signals) do
	if signals[key + 1] then
		next_signal["virtual-signal/" .. signal] = "virtual-signal/" .. signals[key + 1]
	else
		next_signal["virtual-signal/" .. signal] = "virtual-signal/" .. signals[1]
	end
end

local previous_signal = {}
for key, signal in pairs(signals) do
	if signals[key - 1] then
		previous_signal["virtual-signal/" .. signal] = "virtual-signal/" .. signals[key - 1]
	else
		previous_signal["virtual-signal/" .. signal] = "virtual-signal/" .. signals[#signals]
	end
end


local build_config_gui = (function (player, frame)		
	frame.clear()
	
	frame.add({type = "sprite", sprite = "virtual-signal/signal-white"})
	
end)

local function on_gui_click(event)
	local element = event.element
	if not element then return end
	if not element.valid then return end
	if element.type ~= "sprite" then return end
	if not element.parent then return end
	
	if event.button == defines.mouse_button_type.right then
		element.sprite = previous_signal[element.sprite]
	else
		element.sprite = next_signal[element.sprite]
	end	
end

comfy_panel_tabs["SketchPad"] = build_config_gui


local Event = require 'utils.event'
Event.add(defines.events.on_gui_click, on_gui_click)